## routino 1.5.1

=== Makefile ===
# $Header: /home/amb/routino/RCS/Makefile,v 1.5 2010/09/05 18:26:57 amb Exp $
#
# Makefile
#
# Part of the Routino routing software.
#
# This file Copyright 2009-2010 Andrew M. Bishop
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

# Installation locations

prefix=/usr/local
bindir=$(prefix)/bin
docdir=$(prefix)/doc/routino
datadir=$(prefix)/share/routino

# Sub-directories and sub-makefiles

TOPFILES=$(wildcard */Makefile)
TOPDIRS=$(foreach f,$(TOPFILES),$(dir $f))

########

all$(top):
	for dir in $(TOPDIRS); do \
	   ( cd $$dir && $(MAKE) $@ ); \
	done

########

install$(top): all$(top)
	for dir in $(TOPDIRS); do \
	   ( cd $$dir && $(MAKE) $@ ); \
	done
	@echo "Note: web directory is not installed automatically"

########

clean$(top):
	for dir in $(TOPDIRS); do \
	   ( cd $$dir && $(MAKE) $@ ); \
	done

########

distclean$(top): clean$(top)
	for dir in $(TOPDIRS); do \
	   ( cd $$dir && $(MAKE) $@ ); \
	done

=== doc/Makefile ===
# $Header: /home/amb/routino/doc/RCS/Makefile,v 1.4 2010/09/05 18:27:07 amb Exp $
#
# Documentation directory Makefile
#
# Part of the Routino routing software.
#
# This file Copyright 2010 Andrew M. Bishop
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

# Web file paths

WEBDIR=../web/www/routino/documentation

# Files to install

HTML_FILES=html/*
TXT_FILES=*.txt

########

all :
	-@[ -d $(WEBDIR) ] && \
	  for file in $(HTML_FILES); do \
	     if [ ! -f $(WEBDIR)/`basename $$file` ] || [ $$file -nt $(WEBDIR)/`basename $$file` ]; then \
	        echo cp $$file $(WEBDIR) ;\
	        cp -f $$file $(WEBDIR) ;\
	     fi ;\
	  done

########

install: all
	-[ -d $(DESTDIR)$(docdir) ] || mkdir -p $(DESTDIR)$(docdir)
	@[ -d $(DESTDIR)$(docdir) ] && \
	  for file in $(TXT_FILES); do \
	     echo cp $$file $(DESTDIR)$(docdir) ;\
	     cp -f $$file $(DESTDIR)$(docdir) ;\
	  done
	-[ -d $(DESTDIR)$(docdir)/html ] || mkdir -p $(DESTDIR)$(docdir)/html
	@[ -d $(DESTDIR)$(docdir)/html ] && \
	  for file in $(HTML_FILES); do \
	     echo cp $$file $(DESTDIR)$(docdir)/html ;\
	     cp -f $$file $(DESTDIR)$(docdir)/html ;\
	  done

########

clean:
	rm -f *~
	rm -f html/*~
	rm -f $(WEBDIR)/*~

########

distclean: clean
	rm -f $(WEBDIR)/*

########

top=-top
include ../Makefile

=== src/Makefile ===
# $Header: /home/amb/routino/src/RCS/Makefile,v 1.43 2010/11/13 14:22:28 amb Exp $
#
# Source code Makefile
#
# Part of the Routino routing software.
#
# This file Copyright 2008-2010 Andrew M. Bishop
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

# Web file paths

WEBDIR=../web/bin

# Compilation programs

CC=gcc
LD=gcc

LEX=flex

# Compilation program options

CFLAGS=-Wall -Wmissing-prototypes
#CFLAGS+= -Wextra -pedantic -std=c99
LDFLAGS=-lm -lc

CFLAGS+= -O3
#CFLAGS+= -O0 -g
#CFLAGS+= -pg
#CFLAGS+= --coverage

LDFLAGS+=
#LDFLAGS+= -pg -static
#LDFLAGS+= --coverage

LEXFLAGS=

# Required to use stdio with files > 2GiB on 32-bit system.

FLAGS64=-D_FILE_OFFSET_BITS=64

# Compilation targets

C=$(wildcard *.c)
D=$(foreach f,$(C),$(addprefix .deps/,$(addsuffix .d,$(basename $f))))

EXE=planetsplitter planetsplitter-slim router router-slim filedumper filedumper-slim tagmodifier

########

all : $(EXE)
	-@[ -d $(WEBDIR) ] && \
	  for file in $(EXE); do \
	     if [ ! -f $(WEBDIR)/$$file ] || [ $$file -nt $(WEBDIR)/$$file ]; then \
	        echo cp $$file $(WEBDIR) ;\
	        cp -f $$file $(WEBDIR) ;\
	     fi ;\
	  done
	@cd xml && $(MAKE) CC="$(CC)" LD="$(LD)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

########

PLANETSPLITTER_OBJ=planetsplitter.o \
	           nodesx.o segmentsx.o waysx.o relationsx.o superx.o \
	           ways.o types.o \
	           files.o logging.o \
	           results.o queue.o sorting.o \
	           xmlparse.o tagging.o osmparser.o

planetsplitter : $(PLANETSPLITTER_OBJ)
	$(LD) $(PLANETSPLITTER_OBJ) -o $@ $(LDFLAGS)

########

PLANETSPLITTER_SLIM_OBJ=planetsplitter-slim.o \
	                nodesx-slim.o segmentsx-slim.o waysx-slim.o relationsx-slim.o superx-slim.o \
	                ways.o types.o \
	                files.o logging.o \
	                results.o queue.o sorting.o \
	                xmlparse.o tagging.o osmparser.o

planetsplitter-slim : $(PLANETSPLITTER_SLIM_OBJ)
	$(LD) $(PLANETSPLITTER_SLIM_OBJ) -o $@ $(LDFLAGS)

########

ROUTER_OBJ=router.o \
	   nodes.o segments.o ways.o types.o fakes.o \
	   optimiser.o output.o \
	   files.o logging.o profiles.o xmlparse.o \
	   results.o queue.o translations.o

router : $(ROUTER_OBJ)
	$(LD) $(ROUTER_OBJ) -o $@ $(LDFLAGS)

########

ROUTER_SLIM_OBJ=router-slim.o \
	        nodes-slim.o segments-slim.o ways-slim.o types.o fakes.o \
	        optimiser-slim.o output-slim.o \
	        files.o logging.o profiles.o xmlparse.o \
	        results.o queue.o translations.o

router-slim : $(ROUTER_SLIM_OBJ)
	$(LD) $(ROUTER_SLIM_OBJ) -o $@ $(LDFLAGS)

########

FILEDUMPER_OBJ=filedumper.o \
	       nodes.o segments.o ways.o types.o \
               visualiser.o \
	       files.o logging.o xmlparse.o

filedumper : $(FILEDUMPER_OBJ)
	$(LD) $(FILEDUMPER_OBJ) -o $@ $(LDFLAGS)

########

FILEDUMPER_SLIM_OBJ=filedumper-slim.o \
	       nodes-slim.o segments-slim.o ways-slim.o types.o \
               visualiser-slim.o \
	       files.o logging.o xmlparse.o

filedumper-slim : $(FILEDUMPER_SLIM_OBJ)
	$(LD) $(FILEDUMPER_SLIM_OBJ) -o $@ $(LDFLAGS)

########

TAGMODIFIER_OBJ=tagmodifier.o \
	        files.o logging.o \
                xmlparse.o tagging.o

tagmodifier : $(TAGMODIFIER_OBJ)
	$(LD) $(TAGMODIFIER_OBJ) -o $@ $(LDFLAGS)

########

xmlparse.c : xmlparse.l
	$(LEX) $(LEXFLAGS)  $<
	-@mv lex.yy.c xmlparse.c
	@echo Created xmlparse.c

########

%.o : %.c
	$(CC) -c $(CFLAGS) $(FLAGS64) -DSLIM=0 -DDATADIR=\"$(datadir)\" $< -o $@ -MMD -MP -MF $(addprefix .deps/,$(addsuffix .d,$(basename $<)))

%-slim.o : %.c
	$(CC) -c $(CFLAGS) $(FLAGS64) -DSLIM=1 -DDATADIR=\"$(datadir)\" $< -o $@ -MMD -MP -MF $(addprefix .deps/,$(addsuffix .d,$(basename $<)))

########

install: all
	-[ -d $(DESTDIR)$(bindir) ] || mkdir -p $(DESTDIR)$(bindir)
	@[ -d $(DESTDIR)$(bindir) ] && \
	  for file in $(EXE); do \
	     echo cp $$file $(DESTDIR)$(bindir) ;\
	     cp -f $$file $(DESTDIR)$(bindir) ;\
	  done

########

clean:
	rm -f *.o
	rm -f *~
	rm -f xmlparse.c
	cd xml && $(MAKE) clean

########

distclean: clean
	-[ -d ../web/bin ] && cd ../web/bin/ && rm -f $(EXE)
	-rm -f $(EXE)
	-rm -f $(D)
	-rm -fr .deps
	cd xml && $(MAKE) distclean

########

.deps : .FORCE
	@[ -d .deps ] || mkdir $@

$(D) : .deps
	@touch $@

include $(D)

########

.FORCE :

########

top=-top
include ../Makefile

=== xml/Makefile ===
# $Header: /home/amb/routino/xml/RCS/Makefile,v 1.8 2010/09/05 18:27:17 amb Exp $
#
# XML directory Makefile
#
# Part of the Routino routing software.
#
# This file Copyright 2010 Andrew M. Bishop
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

# Web file paths

WEBDIR=../web/data

# Files to install

FILES=profiles.xml \
      translations.xml \
      tagging.xml

########

all :
	-@[ -d $(WEBDIR) ] && \
	  for file in $(FILES); do \
	     if [ ! -f $(WEBDIR)/$$file ] || [ routino-$$file -nt $(WEBDIR)/$$file ]; then \
	        echo cp routino-$$file $(WEBDIR)/$$file ;\
	        cp -f routino-$$file $(WEBDIR)/$$file ;\
	     fi ;\
	  done

########

install: all
	-[ -d $(DESTDIR)$(datadir) ] || mkdir -p $(DESTDIR)$(datadir)
	@[ -d $(DESTDIR)$(datadir) ] && \
	  for file in $(FILES); do \
	     echo cp routino-$$file $(DESTDIR)$(datadir)/$$file ;\
	     cp -f routino-$$file $(DESTDIR)$(datadir)/$$file ;\
	  done

########

clean:
	rm -f *~

########

distclean: clean
	rm -f $(WEBDIR)/*.xml

########

top=-top
include ../Makefile

=== src/xml/Makefile ===
# $Header: /home/amb/routino/src/xml/RCS/Makefile,v 1.10 2010/07/07 17:26:24 amb Exp $
#
# XML test programs Makefile
#
# Part of the Routino routing software.
#
# This file Copyright 2010 Andrew M. Bishop
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

# Programs

CC=gcc
LD=gcc

# Program options

CFLAGS=-Wall -Wmissing-prototypes -O0 -g
LDFLAGS=-lm -lc

# Required to use stdio with files > 2GiB on 32-bit system.

FLAGS64=-D_FILE_OFFSET_BITS=64

# Compilation targets

XMLDIR=../../xml

X=$(notdir $(wildcard $(XMLDIR)/*.xsd))
C=$(foreach f,$(X),$(addsuffix -skeleton.c,$(basename $f)))
D=$(foreach f,$(C),$(addprefix .deps/,$(addsuffix .d,$(basename $f))))
O=$(foreach f,$(C),$(addsuffix .o,$(basename $f)))
E=$(foreach f,$(C),$(basename $f))

EXE=xsd-to-xmlparser

########

all : $(EXE) $(C) $(E)
	@true

########

xsd-to-xmlparser : xsd-to-xmlparser.o ../xmlparse.o
	$(LD) xsd-to-xmlparser.o ../xmlparse.o -o $@ $(LDFLAGS)

########

%-skeleton.c : $(XMLDIR)/%.xsd xsd-to-xmlparser
	-./xsd-to-xmlparser < $< > $@
	@test -s $@ || rm $@

%-skeleton : %-skeleton.o ../xmlparse.o
	$(LD) $< ../xmlparse.o -o $@ $(LDFLAGS)

.SECONDARY : $(O)

########

../xmlparse.o : ../xmlparse.c ../xmlparse.h
	cd .. && $(MAKE) xmlparse.o

../xmlparse.c : ../xmlparse.l
	cd .. && $(MAKE) xmlparse.o

########

%.o : %.c
	$(CC) -c $(CFLAGS) $(FLAGS64) -I.. $< -o $@ -MMD -MP -MF $(addprefix .deps/,$(addsuffix .d,$(basename $<)))

########

test : all test-skeleton .FORCE
	@status=true ;\
	echo "" ;\
	for good in test/good*.xml; do \
	   echo "Testing: $$good ... " ;\
	   if ./test-skeleton < $$good > /dev/null; then echo "... passed"; else echo "... FAILED"; status=false; fi ;\
	   echo "" ;\
	done ;\
	for bad in test/bad*.xml; do \
	   echo "Testing: $$bad ... " ;\
	   if ./test-skeleton < $$bad > /dev/null; then echo "... FAILED"; status=false; else echo "... passed"; fi ;\
	   echo "" ;\
	done ;\
	if $$status; then echo "Success: all tests passed"; else echo "Warning: Some tests FAILED"; fi ;\
	$$status

test-skeleton : test-skeleton.o
	$(LD) $< ../xmlparse.o -o $@ $(LDFLAGS)

test-skeleton.c : test/test.xsd xsd-to-xmlparser
	./xsd-to-xmlparser < $< | sed -e 's/XMLPARSE_UNKNOWN_ATTR_WARN/XMLPARSE_UNKNOWN_ATTR_ERROR/' > $@

########

clean:
	rm -f *.o
	rm -f *~

########

distclean: clean
	-rm -f $(EXE)
	-rm -f $(E) test-skeleton
	-rm -f $(D) .deps/test-skeleton.d
	-rm -f $(C) test-skeleton.c
	-rm -fr .deps

########

.deps : .FORCE
	@[ -d .deps ] || mkdir $@

$(D) : .deps
	@touch $@

include $(D)

########

.FORCE :

=== debian/changelog ===
routino (1.5.1-1) unstable; urgency=low

  * Initial release (Closes: #608150).

 -- Thibaut Gridel <tgridel@free.fr>  Wed, 15 Dec 2010 20:53:09 +0100

=== debian/control ===
Source: routino
Section: misc
Priority: extra
Maintainer: Thibaut Gridel <tgridel@free.fr>
Build-Depends: debhelper (>= 7.0.50~), flex
Standards-Version: 3.9.1
Homepage: http://www.routino.org/
Vcs-Git: git://git.debian.org/pkg-grass/routino.git
Vcs-Browser: http://git.debian.org/?p=pkg-grass/routino.git
 

Package: routino
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Set of tools to find a path between two points.
 Routino is an application for finding a route between two points
 using the dataset of topographical information collected by
 OpenStreetMap

## routino 2.1.2

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,8 @@
-# $Header: /home/amb/routino/RCS/Makefile,v 1.5 2010/09/05 18:26:57 amb Exp $
-#
-# Makefile
+# Top level Makefile
 #
 # Part of the Routino routing software.
 #
-# This file Copyright 2009-2010 Andrew M. Bishop
+# This file Copyright 2009-2011 Andrew M. Bishop
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Affero General Public License as published by
@@ -41,6 +39,13 @@
 
 ########
 
+test$(top): .FORCE
+	for dir in $(TOPDIRS); do \
+	   ( cd $$dir && $(MAKE) $@ ); \
+	done
+
+########
+
 install$(top): all$(top)
 	for dir in $(TOPDIRS); do \
 	   ( cd $$dir && $(MAKE) $@ ); \
@@ -60,3 +65,7 @@
 	for dir in $(TOPDIRS); do \
 	   ( cd $$dir && $(MAKE) $@ ); \
 	done
+
+########
+
+.FORCE:

=== src/Makefile ===
--- 
+++ 
@@ -1,10 +1,8 @@
-# $Header: /home/amb/routino/src/RCS/Makefile,v 1.43 2010/11/13 14:22:28 amb Exp $
-#
 # Source code Makefile
 #
 # Part of the Routino routing software.
 #
-# This file Copyright 2008-2010 Andrew M. Bishop
+# This file Copyright 2008-2011 Andrew M. Bishop
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Affero General Public License as published by
@@ -33,35 +31,37 @@
 
 # Compilation program options
 
-CFLAGS=-Wall -Wmissing-prototypes
-#CFLAGS+= -Wextra -pedantic -std=c99
+CFLAGS=-Wall -Wmissing-prototypes -std=c99
+#CFLAGS+=-Wextra -pedantic
 LDFLAGS=-lm -lc
 
-CFLAGS+= -O3
-#CFLAGS+= -O0 -g
-#CFLAGS+= -pg
-#CFLAGS+= --coverage
+CFLAGS+=-O3
+#CFLAGS+=-O0 -g
+#CFLAGS+=-pg
+#CFLAGS+=-fprofile-arcs -ftest-coverage
 
 LDFLAGS+=
-#LDFLAGS+= -pg -static
-#LDFLAGS+= --coverage
+#LDFLAGS+=-pg -static
+#LDFLAGS+=-fprofile-arcs -ftest-coverage
 
 LEXFLAGS=
 
 # Required to use stdio with files > 2GiB on 32-bit system.
-
-FLAGS64=-D_FILE_OFFSET_BITS=64
+CFLAGS+=-D_FILE_OFFSET_BITS=64
+
+# Required to compile on Linux without a warning about pread() and pwrite() functions.
+CFLAGS+=-D_POSIX_C_SOURCE=200809L
 
 # Compilation targets
 
 C=$(wildcard *.c)
-D=$(foreach f,$(C),$(addprefix .deps/,$(addsuffix .d,$(basename $f))))
+D=$(wildcard .deps/*.d)
 
 EXE=planetsplitter planetsplitter-slim router router-slim filedumper filedumper-slim tagmodifier
 
 ########
 
-all : $(EXE)
+all: $(EXE)
 	-@[ -d $(WEBDIR) ] && \
 	  for file in $(EXE); do \
 	     if [ ! -f $(WEBDIR)/$$file ] || [ $$file -nt $(WEBDIR)/$$file ]; then \
@@ -69,7 +69,8 @@
 	        cp -f $$file $(WEBDIR) ;\
 	     fi ;\
 	  done
-	@cd xml && $(MAKE) CC="$(CC)" LD="$(LD)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
+	@cd xml  && $(MAKE) CC="$(CC)" LD="$(LD)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
+	@cd test && $(MAKE) CC="$(CC)" LD="$(LD)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 ########
 
@@ -80,7 +81,7 @@
 	           results.o queue.o sorting.o \
 	           xmlparse.o tagging.o osmparser.o
 
-planetsplitter : $(PLANETSPLITTER_OBJ)
+planetsplitter : $(PLANETSPLITTER_OBJ) .deps
 	$(LD) $(PLANETSPLITTER_OBJ) -o $@ $(LDFLAGS)
 
 ########
@@ -98,7 +99,7 @@
 ########
 
 ROUTER_OBJ=router.o \
-	   nodes.o segments.o ways.o types.o fakes.o \
+	   nodes.o segments.o ways.o relations.o types.o fakes.o \
 	   optimiser.o output.o \
 	   files.o logging.o profiles.o xmlparse.o \
 	   results.o queue.o translations.o
@@ -109,7 +110,7 @@
 ########
 
 ROUTER_SLIM_OBJ=router-slim.o \
-	        nodes-slim.o segments-slim.o ways-slim.o types.o fakes.o \
+	        nodes-slim.o segments-slim.o ways-slim.o relations-slim.o types.o fakes-slim.o \
 	        optimiser-slim.o output-slim.o \
 	        files.o logging.o profiles.o xmlparse.o \
 	        results.o queue.o translations.o
@@ -120,7 +121,7 @@
 ########
 
 FILEDUMPER_OBJ=filedumper.o \
-	       nodes.o segments.o ways.o types.o \
+	       nodes.o segments.o ways.o relations.o types.o fakes.o \
                visualiser.o \
 	       files.o logging.o xmlparse.o
 
@@ -130,7 +131,7 @@
 ########
 
 FILEDUMPER_SLIM_OBJ=filedumper-slim.o \
-	       nodes-slim.o segments-slim.o ways-slim.o types.o \
+	       nodes-slim.o segments-slim.o ways-slim.o relations-slim.o types.o fakes-slim.o \
                visualiser-slim.o \
 	       files.o logging.o xmlparse.o
 
@@ -155,11 +156,17 @@
 
 ########
 
-%.o : %.c
-	$(CC) -c $(CFLAGS) $(FLAGS64) -DSLIM=0 -DDATADIR=\"$(datadir)\" $< -o $@ -MMD -MP -MF $(addprefix .deps/,$(addsuffix .d,$(basename $<)))
-
-%-slim.o : %.c
-	$(CC) -c $(CFLAGS) $(FLAGS64) -DSLIM=1 -DDATADIR=\"$(datadir)\" $< -o $@ -MMD -MP -MF $(addprefix .deps/,$(addsuffix .d,$(basename $<)))
+%.o : %.c .deps
+	$(CC) -c $(CFLAGS) -DSLIM=0 -DDATADIR=\"$(datadir)\" $< -o $@ -MMD -MP -MF $(addprefix .deps/,$(addsuffix .d,$(basename $@)))
+
+%-slim.o : %.c .deps
+	$(CC) -c $(CFLAGS) -DSLIM=1 -DDATADIR=\"$(datadir)\" $< -o $@ -MMD -MP -MF $(addprefix .deps/,$(addsuffix .d,$(basename $@)))
+
+########
+
+test: .FORCE
+	cd xml  && $(MAKE) test
+	cd test && $(MAKE) test
 
 ########
 
@@ -176,8 +183,10 @@
 clean:
 	rm -f *.o
 	rm -f *~
+	rm -f *.gcda *.gcno *.gcov gmon.out
 	rm -f xmlparse.c
-	cd xml && $(MAKE) clean
+	cd xml  && $(MAKE) clean
+	cd test && $(MAKE) clean
 
 ########
 
@@ -186,21 +195,19 @@
 	-rm -f $(EXE)
 	-rm -f $(D)
 	-rm -fr .deps
-	cd xml && $(MAKE) distclean
-
-########
-
-.deps : .FORCE
+	cd xml  && $(MAKE) distclean
+	cd test && $(MAKE) distclean
+
+########
+
+.deps: .FORCE
 	@[ -d .deps ] || mkdir $@
 
-$(D) : .deps
-	@touch $@
-
 include $(D)
 
 ########
 
-.FORCE :
+.FORCE:
 
 ########

=== src/xml/Makefile ===
--- 
+++ 
@@ -1,10 +1,8 @@
-# $Header: /home/amb/routino/src/xml/RCS/Makefile,v 1.10 2010/07/07 17:26:24 amb Exp $
-#
 # XML test programs Makefile
 #
 # Part of the Routino routing software.
 #
-# This file Copyright 2010 Andrew M. Bishop
+# This file Copyright 2010-2011 Andrew M. Bishop
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Affero General Public License as published by
@@ -27,12 +25,14 @@
 
 # Program options
 
-CFLAGS=-Wall -Wmissing-prototypes -O0 -g
+CFLAGS=-Wall -Wmissing-prototypes -std=c99
+#CFLAGS+=-Wextra -pedantic
 LDFLAGS=-lm -lc
 
+CFLAGS+=-O3
+
 # Required to use stdio with files > 2GiB on 32-bit system.
-
-FLAGS64=-D_FILE_OFFSET_BITS=64
+CFLAGS+=-D_FILE_OFFSET_BITS=64
 
 # Compilation targets
 
@@ -40,7 +40,7 @@
 
 X=$(notdir $(wildcard $(XMLDIR)/*.xsd))
 C=$(foreach f,$(X),$(addsuffix -skeleton.c,$(basename $f)))
-D=$(foreach f,$(C),$(addprefix .deps/,$(addsuffix .d,$(basename $f))))
+D=$(wildcard .deps/*.d)
 O=$(foreach f,$(C),$(addsuffix .o,$(basename $f)))
 E=$(foreach f,$(C),$(basename $f))
 
@@ -48,7 +48,7 @@
 
 ########
 
-all : $(EXE) $(C) $(E)
+all: $(EXE) $(C) $(E)
 	@true
 
 ########
@@ -77,8 +77,8 @@
 
 ########
 
-%.o : %.c
-	$(CC) -c $(CFLAGS) $(FLAGS64) -I.. $< -o $@ -MMD -MP -MF $(addprefix .deps/,$(addsuffix .d,$(basename $<)))
+%.o : %.c .deps
+	$(CC) -c $(CFLAGS) -I.. $< -o $@ -MMD -MP -MF $(addprefix .deps/,$(addsuffix .d,$(basename $@)))
 
 ########
 
@@ -106,9 +106,14 @@
 
 ########
 
+install:
+
+########
+
 clean:
 	rm -f *.o
 	rm -f *~
+	rm -f *.gcda *.gcno *.gcov gmon.out
 
 ########
 
@@ -121,14 +126,11 @@
 
 ########
 
-.deps : .FORCE
+.deps: .FORCE
 	@[ -d .deps ] || mkdir $@
-
-$(D) : .deps
-	@touch $@
 
 include $(D)
 
 ########
 
-.FORCE :
+.FORCE:

=== debian/changelog ===
routino (2.1.2-3) unstable; urgency=low

  * do not use option --with-quilt for dh anymore (Closes: #649723)

 -- Uwe Steinmann <steinm@debian.org>  Thu, 24 Nov 2011 09:11:41 +0100

routino (2.1.2-2) unstable; urgency=low

  * patch map bounds in data visualizer
  * added option --with quilt when calling 'dh $@'

 -- Uwe Steinmann <steinm@debian.org>  Wed, 23 Nov 2011 12:35:57 +0100

routino (2.1.2-1) unstable; urgency=low

  * New upstream release
  * Added myself as uploader
  * New package containing the web frontend of routino

 -- Uwe Steinmann <steinm@debian.org>  Mon, 21 Nov 2011 09:59:26 +0100

routino (2.1.1-1) unstable; urgency=low

  * New upstream release (Closes: #643800).
  * Fixing Tests (see patch).
  * Not installing INSTALL.txt (see patch).
  * Bumping Standards version (no impact).

 -- Thibaut Gridel <tgridel@free.fr>  Wed, 26 Oct 2011 19:23:41 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: misc
 Priority: extra
 Maintainer: Thibaut Gridel <tgridel@free.fr>
+Uploaders: Uwe Steinmann <steinm@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), flex
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.routino.org/
 Vcs-Git: git://git.debian.org/pkg-grass/routino.git
 Vcs-Browser: http://git.debian.org/?p=pkg-grass/routino.git
@@ -16,3 +17,13 @@
  Routino is an application for finding a route between two points
  using the dataset of topographical information collected by
  OpenStreetMap
+
+Package: routino-www
+Architecture: all
+Depends: libjs-openlayers, routino, ${misc:Depends}
+Description: Web frontend for routino
+ Routino is an application for finding a route between two points
+ using the dataset of topographical information collected by
+ OpenStreetMap
+ .
+ This is the web frontend to the router.

## routino 2.2

=== src/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Part of the Routino routing software.
 #
-# This file Copyright 2008-2011 Andrew M. Bishop
+# This file Copyright 2008-2012 Andrew M. Bishop
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Affero General Public License as published by
@@ -75,19 +75,19 @@
 ########
 
 PLANETSPLITTER_OBJ=planetsplitter.o \
-	           nodesx.o segmentsx.o waysx.o relationsx.o superx.o \
+	           nodesx.o segmentsx.o waysx.o relationsx.o superx.o prunex.o \
 	           ways.o types.o \
 	           files.o logging.o \
 	           results.o queue.o sorting.o \
 	           xmlparse.o tagging.o osmparser.o
 
-planetsplitter : $(PLANETSPLITTER_OBJ) .deps
+planetsplitter : $(PLANETSPLITTER_OBJ)
 	$(LD) $(PLANETSPLITTER_OBJ) -o $@ $(LDFLAGS)
 
 ########
 
 PLANETSPLITTER_SLIM_OBJ=planetsplitter-slim.o \
-	                nodesx-slim.o segmentsx-slim.o waysx-slim.o relationsx-slim.o superx-slim.o \
+	                nodesx-slim.o segmentsx-slim.o waysx-slim.o relationsx-slim.o superx-slim.o prunex-slim.o \
 	                ways.o types.o \
 	                files.o logging.o \
 	                results.o queue.o sorting.o \
@@ -156,15 +156,17 @@
 
 ########
 
-%.o : %.c .deps
+%.o : %.c
+	@[ -d .deps ] || mkdir .deps
 	$(CC) -c $(CFLAGS) -DSLIM=0 -DDATADIR=\"$(datadir)\" $< -o $@ -MMD -MP -MF $(addprefix .deps/,$(addsuffix .d,$(basename $@)))
 
-%-slim.o : %.c .deps
+%-slim.o : %.c
+	@[ -d .deps ] || mkdir .deps
 	$(CC) -c $(CFLAGS) -DSLIM=1 -DDATADIR=\"$(datadir)\" $< -o $@ -MMD -MP -MF $(addprefix .deps/,$(addsuffix .d,$(basename $@)))
 
 ########
 
-test: .FORCE
+test:
 	cd xml  && $(MAKE) test
 	cd test && $(MAKE) test
 
@@ -200,14 +202,7 @@
 
 ########
 
-.deps: .FORCE
-	@[ -d .deps ] || mkdir $@
-
 include $(D)
-
-########
-
-.FORCE:
 
 ########

=== src/test/Makefile ===
# Test cases Makefile
#
# Part of the Routino routing software.
#
# This file Copyright 2011-2012 Andrew M. Bishop
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

# Routino executables

EXE=../planetsplitter ../planetsplitter-slim \
    ../router ../router-slim \
    ../filedumper ../filedumper-slim

# Compilation targets

O=$(notdir $(wildcard *.osm))
S=$(foreach f,$(O),$(addsuffix .sh,$(basename $f)))

########

all :
	@true

########

exe :
	cd .. && $(MAKE)

########

test : exe
	@status=true ;\
	for script in $(S); do \
	   echo "" ;\
	   echo "Testing: $$script (non-slim, no pruning) ... " ;\
	   if ./$$script fat; then echo "... passed"; else echo "... FAILED"; status=false; fi ;\
	done ;\
	for script in $(S); do \
	   echo "" ;\
	   echo "Testing: $$script (slimm, no pruning) ... " ;\
	   if ./$$script slim; then echo "... passed"; else echo "... FAILED"; status=false; fi ;\
	done ;\
	echo "" ;\
	if $$status; then echo "Success: all tests passed"; else echo "Warning: Some tests FAILED"; fi ;\
	$$status || exit 1 ;\
	echo "" ;\
	echo "Comparing: slim and non-slim results ... " ;\
	if diff -q -r slim fat; then echo "... matched"; else echo "... match FAILED"; status=false; fi ;\
	echo "" ;\
	if $$status; then echo "Success: slim and non-slim results match"; else echo "Warning: slim and non-slim results are different - FAILED"; fi ;\
	for script in $(S); do \
	   echo "" ;\
	   echo "Testing: $$script (non-slim, pruning) ... " ;\
	   if ./$$script fat prune; then echo "... passed"; else echo "... FAILED"; status=false; fi ;\
	done ;\
	for script in $(S); do \
	   echo "" ;\
	   echo "Testing: $$script (slim, pruning) ... " ;\
	   if ./$$script slim prune; then echo "... passed"; else echo "... FAILED"; status=false; fi ;\
	done ;\
	echo "" ;\
	if $$status; then echo "Success: all tests passed"; else echo "Warning: Some tests FAILED"; fi ;\
	$$status || exit 1 ;\
	echo "" ;\
	echo "Comparing: slim and non-slim results ... " ;\
	if diff -q -r slim-pruned fat-pruned; then echo "... matched"; else echo "... match FAILED"; status=false; fi ;\
	echo "" ;\
	if $$status; then echo "Success: slim and non-slim results match"; else echo "Warning: slim and non-slim results are different - FAILED"; fi ;\
	$$status

########

clean:
	rm -rf fat
	rm -rf slim
	rm -rf fat-pruned
	rm -rf slim-pruned
	rm -f *.log
	rm -f core
	rm -f *~

########

distclean: clean
	@true

########

.PHONY:: all test install clean distclean

=== src/xml/Makefile ===
--- 
+++ 
@@ -73,16 +73,17 @@
 	cd .. && $(MAKE) xmlparse.o
 
 ../xmlparse.c : ../xmlparse.l
-	cd .. && $(MAKE) xmlparse.o
+	cd .. && $(MAKE) xmlparse.c
 
 ########
 
-%.o : %.c .deps
+%.o : %.c
+	@[ -d .deps ] || mkdir .deps
 	$(CC) -c $(CFLAGS) -I.. $< -o $@ -MMD -MP -MF $(addprefix .deps/,$(addsuffix .d,$(basename $@)))
 
 ########
 
-test : all test-skeleton .FORCE
+test : all test-skeleton
 	@status=true ;\
 	echo "" ;\
 	for good in test/good*.xml; do \
@@ -126,11 +127,8 @@
 
 ########
 
-.deps: .FORCE
-	@[ -d .deps ] || mkdir $@
-
 include $(D)
 
 ########
 
-.FORCE:
+.PHONY:: all test install clean distclean

=== debian/changelog ===
routino (2.2-4) unstable; urgency=low

  * routino-www: added OSM CycleMap to list of layers

 -- Uwe Steinmann <steinm@debian.org>  Wed, 9 May 2012 8:28:25 +0200

routino (2.2-3) unstable; urgency=low

  * added missing dependency on apache2

 -- Uwe Steinmann <steinm@debian.org>  Tue, 8 May 2012 18:00:54 +0200

routino (2.2-2) unstable; urgency=low

  * added dependency on javascript-common

 -- Uwe Steinmann <steinm@debian.org>  Mon, 23 Apr 2012 8:32:41 +0200

routino (2.2-1) unstable; urgency=low

  * New upstream release

 -- Uwe Steinmann <steinm@debian.org>  Wed, 7 Mar 2012 11:13:07 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 Package: routino-www
 Architecture: all
-Depends: libjs-openlayers, routino, ${misc:Depends}
+Depends: apache2, libjs-openlayers, javascript-common, routino, ${misc:Depends}
 Description: Web frontend for routino
  Routino is an application for finding a route between two points
  using the dataset of topographical information collected by

## routino 2.4.1

=== Makefile ===
--- 
+++ 
@@ -39,7 +39,7 @@
 
 ########
 
-test$(top): .FORCE
+test$(top):
 	for dir in $(TOPDIRS); do \
 	   ( cd $$dir && $(MAKE) $@ ); \
 	done
@@ -68,4 +68,6 @@
 
 ########
 
-.FORCE:
+.PHONY:: all$(top) test$(top) install$(top) clean$(top) distclean$(top)
+
+.PHONY:: all test install clean distclean

=== doc/Makefile ===
--- 
+++ 
@@ -1,10 +1,8 @@
-# $Header: /home/amb/routino/doc/RCS/Makefile,v 1.4 2010/09/05 18:27:07 amb Exp $
-#
 # Documentation directory Makefile
 #
 # Part of the Routino routing software.
 #
-# This file Copyright 2010 Andrew M. Bishop
+# This file Copyright 2010-2011 Andrew M. Bishop
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Affero General Public License as published by
@@ -28,10 +26,11 @@
 
 HTML_FILES=html/*
 TXT_FILES=*.txt
+TOP_FILES=../agpl-3.0.txt
 
 ########
 
-all :
+all:
 	-@[ -d $(WEBDIR) ] && \
 	  for file in $(HTML_FILES); do \
 	     if [ ! -f $(WEBDIR)/`basename $$file` ] || [ $$file -nt $(WEBDIR)/`basename $$file` ]; then \
@@ -42,8 +41,17 @@
 
 ########
 
+test:
+
+########
+
 install: all
 	-[ -d $(DESTDIR)$(docdir) ] || mkdir -p $(DESTDIR)$(docdir)
+	@[ -d $(DESTDIR)$(docdir) ] && \
+	  for file in $(TOP_FILES); do \
+	     echo cp $$file $(DESTDIR)$(docdir) ;\
+	     cp -f $$file $(DESTDIR)$(docdir) ;\
+	  done
 	@[ -d $(DESTDIR)$(docdir) ] && \
 	  for file in $(TXT_FILES); do \
 	     echo cp $$file $(DESTDIR)$(docdir) ;\

=== src/Makefile ===
--- 
+++ 
@@ -33,19 +33,22 @@
 
 CFLAGS=-Wall -Wmissing-prototypes -std=c99
 #CFLAGS+=-Wextra -pedantic
-LDFLAGS=-lm -lc
+LDFLAGS=-lm
 
 CFLAGS+=-O3
 #CFLAGS+=-O0 -g
 #CFLAGS+=-pg
 #CFLAGS+=-fprofile-arcs -ftest-coverage
 
-LDFLAGS+=
 #LDFLAGS+=-pg -static
 #LDFLAGS+=-fprofile-arcs -ftest-coverage
 
 LEXFLAGS=
 
+# Required for multi-threaded support
+CFLAGS+=-pthread -DUSE_PTHREADS
+LDFLAGS+=-pthread -lpthread
+
 # Required to use stdio with files > 2GiB on 32-bit system.
 CFLAGS+=-D_FILE_OFFSET_BITS=64
 
@@ -57,7 +60,7 @@
 C=$(wildcard *.c)
 D=$(wildcard .deps/*.d)
 
-EXE=planetsplitter planetsplitter-slim router router-slim filedumper filedumper-slim tagmodifier
+EXE=planetsplitter planetsplitter-slim router router-slim filedumperx filedumper filedumper-slim tagmodifier
 
 ########
 
@@ -120,6 +123,14 @@
 
 ########
 
+FILEDUMPERX_OBJ=filedumperx.o \
+	        files.o logging.o
+
+filedumperx : $(FILEDUMPERX_OBJ)
+	$(LD) $(FILEDUMPERX_OBJ) -o $@ $(LDFLAGS)
+
+########
+
 FILEDUMPER_OBJ=filedumper.o \
 	       nodes.o segments.o ways.o relations.o types.o fakes.o \
                visualiser.o \
@@ -183,8 +194,9 @@
 ########
 
 clean:
+	rm -f *~
 	rm -f *.o
-	rm -f *~
+	rm -f core
 	rm -f *.gcda *.gcno *.gcov gmon.out
 	rm -f xmlparse.c
 	cd xml  && $(MAKE) clean

=== xml/Makefile ===
# XML directory Makefile
#
# Part of the Routino routing software.
#
# This file Copyright 2010-2011 Andrew M. Bishop
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

# Web file paths

WEBDATADIR=../web/data
WEBWWWDIR=../web/www/routino

# Files to install

STANDARD_FILES=profiles.xml \
               translations.xml \
               tagging.xml

SPECIAL_FILES=tagging-drive.xml \
	      tagging-ride.xml \
              tagging-walk.xml

PROFILE_FILES=$(WEBWWWDIR)/profiles.pl \
	      $(WEBWWWDIR)/profiles.js

########

all: $(SPECIAL_FILES)
	-@for file in $(STANDARD_FILES); do \
	     if [ ! -f $(WEBDATADIR)/$$file ] || [ routino-$$file -nt $(WEBDATADIR)/$$file ]; then \
	        echo cp routino-$$file $(WEBDATADIR)/$$file ;\
	        cp -f routino-$$file $(WEBDATADIR)/$$file ;\
	     fi ;\
	  done
	-@for file in $(SPECIAL_FILES); do \
	     if [ ! -f $(WEBDATADIR)/$$file ] || [ $$file -nt $(WEBDATADIR)/$$file ]; then \
	        echo cp $$file $(WEBDATADIR)/$$file ;\
	        cp -f $$file $(WEBDATADIR)/$$file ;\
	     fi ;\
	  done
	-@if [ ! -f $(WEBWWWDIR)/profiles.js ] || [ ! -f $(WEBWWWDIR)/profiles.pl ] || \
	     [ $(WEBDATADIR)/profiles.xml -nt $(WEBWWWDIR)/profiles.pl ] || \
	     [ $(WEBDATADIR)/profiles.xml -nt $(WEBWWWDIR)/profiles.js ]; then \
	     echo perl update-profiles.pl ;\
	     ( cd $(WEBWWWDIR) ; perl update-profiles.pl ) ;\
	  fi

####

tagging-drive.xml : routino-tagging.xml scripts/drive.pl
	perl scripts/drive.pl < routino-tagging.xml > tagging-drive.xml

tagging-ride.xml : routino-tagging.xml scripts/ride.pl
	perl scripts/ride.pl < routino-tagging.xml > tagging-ride.xml

tagging-walk.xml : routino-tagging.xml scripts/walk.pl
	perl scripts/walk.pl < routino-tagging.xml > tagging-walk.xml

########

test:

########

install: all
	-[ -d $(DESTDIR)$(datadir) ] || mkdir -p $(DESTDIR)$(datadir)
	-@for file in $(STANDARD_FILES) ; do \
	     echo cp routino-$$file $(DESTDIR)$(datadir)/$$file ;\
	     cp -f routino-$$file $(DESTDIR)$(datadir)/$$file ;\
	  done
	-@for file in $(SPECIAL_FILES); do \
	     echo cp $$file $(DESTDIR)$(datadir)/$$file ;\
	     cp -f $$file $(DESTDIR)$(datadir)/$$file ;\
	  done

########

clean:
	rm -f *~

########

distclean: clean
	rm -f $(WEBDATADIR)/*.xml
	rm -f $(SPECIAL_FILES)
	rm -f $(PROFILE_FILES)

########

top=-top
include ../Makefile

=== src/test/Makefile ===
--- 
+++ 
@@ -50,7 +50,7 @@
 	done ;\
 	for script in $(S); do \
 	   echo "" ;\
-	   echo "Testing: $$script (slimm, no pruning) ... " ;\
+	   echo "Testing: $$script (slim, no pruning) ... " ;\
 	   if ./$$script slim; then echo "... passed"; else echo "... FAILED"; status=false; fi ;\
 	done ;\
 	echo "" ;\
@@ -89,8 +89,9 @@
 	rm -rf fat-pruned
 	rm -rf slim-pruned
 	rm -f *.log
+	rm -f *~
 	rm -f core
-	rm -f *~
+	rm -f *.gcda *.gcno *.gcov gmon.out
 
 ########

=== src/xml/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Part of the Routino routing software.
 #
-# This file Copyright 2010-2011 Andrew M. Bishop
+# This file Copyright 2010-2012 Andrew M. Bishop
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Affero General Public License as published by
@@ -112,8 +112,9 @@
 ########
 
 clean:
+	rm -f *~
 	rm -f *.o
-	rm -f *~
+	rm -f core
 	rm -f *.gcda *.gcno *.gcov gmon.out
 
 ########

=== debian/changelog ===
routino (2.4.1-1) unstable; urgency=low

  * New upstream release

 -- Uwe Steinmann <steinm@debian.org>  Fri, 21 Dec 2012 21:35:08 +0100

routino (2.3.2-1) unstable; urgency=low

  * New upstream release
  * push standards version to 3.9.2 (no changes)

 -- Uwe Steinmann <steinm@debian.org>  Tue, 16 Oct 2012 15:14:57 +0200

routino (2.3.1-1) unstable; urgency=low

  * New upstream release

 -- Uwe Steinmann <steinm@debian.org>  Sun, 19 Aug 2012 17:47:07 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Thibaut Gridel <tgridel@free.fr>
 Uploaders: Uwe Steinmann <steinm@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), flex
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.routino.org/
 Vcs-Git: git://git.debian.org/pkg-grass/routino.git
 Vcs-Browser: http://git.debian.org/?p=pkg-grass/routino.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	install -d $(CURDIR)/debian/tmp/usr/share/routino/www
	cp -r web/www/routino/* $(CURDIR)/debian/tmp/usr/share/routino/www
	install -d $(CURDIR)/debian/tmp/etc/apache2/conf.d/
	install -m 644 debian/apache.conf $(CURDIR)/debian/tmp/etc/apache2/conf.d/routino.conf

=== debian/watch ===
version=3
http://www.routino.org/download/routino-(.*)\.tgz
